%define upstream_name    threads
%define upstream_version 1.86

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Perl interpreter-based threads
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://search.cpan.org/CPAN/authors/id/J/JD/JDHEDDEN/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Config)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(ExtUtils::testlib)
BuildRequires: perl(Hash::Util)
BuildRequires: perl(IO::File)
BuildRequires: perl(Test::More)
BuildRequires: perl(XSLoader)
BuildRequires: perl(overload)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildRequires: perl-devel
Provides:   perl(threads)

%description
Perl 5.6 introduced something called interpreter threads. Interpreter
threads are different from _5005threads_ (the thread model of Perl 5.005)
by creating a new Perl interpreter per thread, and not sharing any data or
state between threads by default.

Prior to Perl 5.8, this has only been available to people embedding Perl,
and for emulating fork() on Windows.

The _threads_ API is loosely based on the old Thread.pm API. It is very
important to note that variables are not shared between threads, all
variables are by default thread local. To use shared variables one must
also use the threads::shared manpage:

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
%makeinstall_std

%files
%doc Changes META.json META.yml MYMETA.yml README examples
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog

* Thu Dec 15 2011 jquelin <jquelin> 1.860.0-1.mga2
+ Revision: 181841
- update to 1.86

* Fri Nov 04 2011 jquelin <jquelin> 1.850.0-2.mga2
+ Revision: 162846
- take priority over module bundled with perl 5.14.2

* Mon Sep 26 2011 jquelin <jquelin> 1.850.0-1.mga2
+ Revision: 148306
- update to 1.85

* Wed Jun 15 2011 jquelin <jquelin> 1.830.0-1.mga2
+ Revision: 107627
- update to 1.83

* Sat Jun 11 2011 spuhler <spuhler> 1.820.0-2.mga2
+ Revision: 103675
- increase rel for rebuild

* Sat Feb 26 2011 jquelin <jquelin> 1.820.0-1.mga1
+ Revision: 60636
- update to 1.82

* Tue Jan 18 2011 jquelin <jquelin> 1.810.0-1.mga1
+ Revision: 22983
- cleaning spec file
- imported package perl-threads

